This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 839184 - (CVE-2012-2836) CVE-2012-2836 libexif: "exif_data_load_data()" heap-based out-of-bounds array read
CVE-2012-2836 libexif: "exif_data_load_data()" heap-based out-of-bounds array...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120712,reported=2...
: Security
Depends On: 839913 839914 839915 839916 839917
Blocks: 839036
  Show dependency treegraph
 
Reported: 2012-07-11 03:34 EDT by Stefan Cornelius
Modified: 2015-11-24 10:06 EST (History)
3 users (show)

See Also:
Fixed In Version: libexif 0.6.21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 14:28:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2012-07-11 03:34:58 EDT
A heap-based out-of-bounds array read in the exif_data_load_data function in libexif 0.6.20 and earlier allows remote attackers to cause a denial of service or possibly obtain potentially sensitive information from process memory via an image with crafted EXIF tags.
Comment 3 Stefan Cornelius 2012-07-13 04:15:16 EDT
Created libexif tracking bugs for this issue

Affects: fedora-all [bug 839917]
Comment 6 Stefan Cornelius 2012-08-10 04:52:30 EDT
Upstream advisory:
http://sourceforge.net/mailarchive/message.php?msg_id=29534027
Comment 7 Murray McAllister 2012-08-22 02:48:14 EDT
Acknowledgements:

Red Hat would like to thank Dan Fandrich for reporting this issue. Upstream acknowledges Yunho Kim as the original reporter.
Comment 8 errata-xmlrpc 2012-09-11 14:16:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1255 https://rhn.redhat.com/errata/RHSA-2012-1255.html
Comment 9 Fedora Update System 2013-02-07 21:14:01 EST
libexif-0.6.21-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-02-07 21:34:20 EST
libexif-0.6.21-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.